Skip to main content
GET
/
library
/
{libraryId}
/
videos
/
{videoId}
Get Video
curl --request GET \
  --url https://video.bunnycdn.com/library/{libraryId}/videos/{videoId} \
  --header 'AccessKey: <api-key>'
import requests

url = "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "videoLibraryId": 123,
  "guid": "<string>",
  "title": "<string>",
  "dateUploaded": "2023-11-07T05:31:56Z",
  "views": 123,
  "isPublic": true,
  "length": 123,
  "status": 0,
  "framerate": 123,
  "width": 123,
  "height": 123,
  "outputCodecs": "<string>",
  "thumbnailCount": 123,
  "encodeProgress": 123,
  "storageSize": 123,
  "hasMP4Fallback": true,
  "averageWatchTime": 123,
  "totalWatchTime": 123,
  "description": "<string>",
  "rotation": 123,
  "availableResolutions": "<string>",
  "captions": [
    {
      "srclang": "<string>",
      "label": "<string>",
      "version": 123
    }
  ],
  "collectionId": "<string>",
  "thumbnailFileName": "<string>",
  "thumbnailUrl": "<string>",
  "thumbnailBlurhash": "<string>",
  "category": "<string>",
  "chapters": [
    {
      "title": "<string>",
      "start": 123,
      "end": 123
    }
  ],
  "moments": [
    {
      "label": "<string>",
      "timestamp": 123
    }
  ],
  "metaTags": [
    {
      "property": "<string>",
      "value": "<string>"
    }
  ],
  "transcodingMessages": [
    {
      "timeStamp": "2023-11-07T05:31:56Z",
      "level": 0,
      "issueCode": 0,
      "message": "<string>",
      "value": "<string>"
    }
  ],
  "jitEncodingEnabled": true,
  "smartGenerateStatus": 0,
  "smartGenerateFeaturesStatus": {
    "title": 0,
    "description": 0,
    "chapters": 0,
    "moments": 0
  },
  "hasOriginal": true,
  "originalHash": "<string>",
  "hasHighQualityPreview": true
}

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required
videoId
string
required

Response

The details of the requested video

videoLibraryId
integer<int64>
required

The ID of the video library that the video belongs to

guid
string
required

The unique ID of the video

Minimum string length: 1
title
string
required

The title of the video

Minimum string length: 1
dateUploaded
string<date-time>
required

The date when the video was uploaded

Minimum string length: 1
views
integer<int64>
required

The number of views the video received

isPublic
boolean
required

Determines if the video is publically accessible

length
integer<int32>
required

The duration of the video in seconds

status
required

The status of the video. See VideoModelStatus.

Available options:
0
framerate
number<double>
required

The framerate of the video

width
integer<int32>
required

The width of the original video file

height
integer<int32>
required

The height of the original video file

outputCodecs
string
required

Encoded output codecs of the video

Minimum string length: 1
thumbnailCount
integer<int32>
required

The number of thumbnails generated for this video

encodeProgress
integer<int32>
required

The current encode progress of the video

storageSize
integer<int64>
required

The amount of storage used by this video

hasMP4Fallback
boolean
required

Determines if the video has MP4 fallback files generated

averageWatchTime
integer<int64>
required

The average watch time of the video in seconds

totalWatchTime
integer<int64>
required

The total video watch time in seconds

description
string | null

The description of the video

rotation
integer | null

The rotation of the video

availableResolutions
string | null

The available resolutions of the video

captions
object[] | null

The list of captions available for the video

collectionId
string | null

The ID of the collection where the video belongs

thumbnailFileName
string | null

The file name of the thumbnail inside of the storage

thumbnailUrl
string | null

The CDN URL of the thumbnail

thumbnailBlurhash
string | null

Thumbnail blurhash to show while the actual thumbnail is being loaded

category
string | null

The automatically detected category of the video

chapters
object[] | null

The list of chapters available for the video

moments
object[] | null

The list of moments available for the video

metaTags
object[] | null

The list of meta tags that have been added to the video

transcodingMessages
object[] | null

The list of transcoding messages that describe potential issues while the video was transcoding

jitEncodingEnabled
boolean | null
smartGenerateStatus

Aggregate smart generate status derived from per-feature statuses when present: InProgress, then Queued, then Failed, then Finished; otherwise the stored legacy value. See SmartGenerateFeaturesStatus.

Available options:
0
smartGenerateFeaturesStatus
object | null

Per-feature smart generate statuses (title, description, chapters, moments). Null for a feature on legacy rows.

hasOriginal
boolean | null

Determines if video has the original file available in storage

originalHash
string | null

Original uploaded file SHA256 hash

hasHighQualityPreview
boolean | null
Last modified on July 9, 2026